export default {
    globals: {
        lang: {
            es: 'Español',
            en: 'Inglés',
        },
        collapseMenu: 'Contraer menú lateral',
        backToDashboard: 'Volver al tablón',
        notifications: 'Notificaciones',
        userPanel: 'Panel de usuario',
        favoriteModules: 'Módulos favoritos',
        theme: 'Tema',
        logOut: 'Cerrar sesión',
        dataSaved: 'Datos guardados',
        add: 'Añadir',
        create: 'Crear',
        save: 'Guardar',
        remove: 'Eliminar',
        reset: 'Restaurar',
        cancel: 'Cancelar',
        yes: 'Si',
        no: 'No',
        noChanges: 'Sin cambios que guardar',
        changesToSave: 'Tienes cambios pendientes de guardar',
        confirmRemove: 'Vas a eliminar este registro. ¿Continuar?',
        rowAdded: 'Fila añadida',
        rowRemoved: 'Fila eliminada',
        pleaseWait: 'Por favor, espera...'
    },
    moduleIndex: {
        allModules: 'Todos los módulos'
    },
    errors: {
        statusUnauthorized: 'Acceso denegado',
        statusInternalServerError: 'Ha ocurrido un error interno del servidor',
        statusBadGateway: 'Parece ser que el servidor ha caído',
        statusGatewayTimeout: 'No se ha podido contactar con el servidor',
    },
    login: {
        title: 'Inicio de sesión',
        username: 'Nombre de usuario',
        password: 'Contraseña',
        submit: 'Iniciar sesión',
        keepLogin: 'Mantener sesión iniciada',
        loginSuccess: 'Inicio de sesión correcto',
        loginError: 'Nombre de usuario o contraseña incorrectos',
    },
    dashboard: {
        pageTitles: {
            dashboard: 'Tablón',
        }
    },
    customer: {
        pageTitles: {
            customers: 'Clientes',
            list: 'Listado',
            createCustomer: 'Crear cliente',
            summary: 'Resumen',
            basicData: 'Datos básicos'
        },
        list: {
            phone: 'Teléfono',
            email: 'Email',
            customerOrders: 'Mostrar órdenes del cliente',
            moreOptions: 'Más opciones'
        },
        card: {
            customerId: 'ID cliente',
            salesPerson: 'Comercial',
            credit: 'Crédito',
            securedCredit: 'Crédito asegurado',
            payMethod: 'Método de pago',
            debt: 'Riesgo',
            isDisabled: 'El cliente está desactivado',
            isFrozen: 'El cliente está congelado',
            hasDebt: 'El cliente tiene riesgo',
            notChecked: 'El cliente no está comprobado',
            noWebAccess: 'El acceso web está desactivado'
        },
        summary: {
            basicData: 'Datos básicos',
            fiscalAddress: 'Dirección fiscal',
            fiscalData: 'Datos fiscales',
            billingData: 'Datos de facturación',
            consignee: 'Consignatario',
            businessData: 'Datos comerciales',
            financialData: 'Datos financieros',
            customerId: 'ID cliente',
            name: 'Nombre',
            contact: 'Contacto',
            phone: 'Teléfono',
            mobile: 'Móvil',
            email: 'Email',
            salesPerson: 'Comercial',
            contactChannel: 'Canal de contacto',
            socialName: 'Razón social',
            fiscalId: 'NIF/CIF',
            postcode: 'Código postal',
            province: 'Provincia',
            country: 'País',
            street: 'Calle',
            isEqualizated: 'Equalizado',
            isActive: 'Activo',
            invoiceByAddress: 'Facturar por consignatario',
            verifiedData: 'Datos verificados',
            hasToInvoice: 'Facturar',
            notifyByEmail: 'Notificar por email',
            vies: 'VIES',
            payMethod: 'Método de pago',
            bankAccount: 'Cuenta bancaria',
            dueDay: 'Día de pago',
            hasLcr: 'Recibido LCR',
            hasCoreVnl: 'Recibido core VNL',
            hasB2BVnl: 'Recibido B2B VNL',
            addressName: 'Nombre de la dirección',
            addressCity: 'Ciudad',
            addressStreet: 'Calle',
            username: 'Usuario',
            webAccess: 'Acceso web',
            totalGreuge: 'Greuge total',
            mana: 'Maná',
            priceIncreasingRate: 'Ratio de incremento de precio',
            averageInvoiced: 'Facturación media',
            claimRate: 'Ratio de reclamaciones',
            risk: 'Riesgo',
            riskInfo: 'Facturas menos recibos mas pedidos sin facturar',
            credit: 'Crédito',
            creditInfo: `Riesgo máximo asumido por la empresa`,
            securedCredit: 'Crédito asegurado',
            securedCreditInfo: `Riesgo máximo asumido por Solunion`,
            balance: 'Balance',
            balanceInfo: 'Facturas menos recibos',
            balanceDue: 'Saldo vencido',
            balanceDueInfo: 'Facturas fuera de plazo menos recibos',
            recoverySince: 'Recobro desde',
        },
        basicData: {
            socialName: 'Nombre fiscal',
            businessType: 'Tipo de negocio',
            contact: 'Contacto',
            email: 'Email',
            phone: 'Teléfono',
            mobile: 'Móvil',
            salesPerson: 'Comercial',
            contactChannel: 'Canal de contacto'
        }
    },
    ticket: {
        pageTitles: {
            tickets: 'Tickets',
            list: 'Listado',
            createTicket: 'Crear ticket',
            summary: 'Resumen',
            basicData: 'Datos básicos',
            boxing: 'Encajado'
        },
        list: {
            nickname: 'Alias',
            state: 'Estado',
            shipped: 'Enviado',
            landed: 'Entregado',
            salesPerson: 'Comercial',
            total: 'Total'
        },
        card: {
            ticketId: 'ID ticket',
            state: 'Estado',
            customerId: 'ID cliente',
            salesPerson: 'Comercial',
            agency: 'Agencia',
            shipped: 'Enviado',
            warehouse: 'Almacén',
            customerCard: 'Ficha del cliente'
        },
        boxing: {
            expedition: 'Expedición',
            item: 'Artículo',
            created: 'Creado',
            worker: 'Trabajador',
            selectTime: 'Seleccionar hora:',
            selectVideo: 'Seleccionar vídeo:',
            notFound: 'No hay vídeos disponibles'
        }
    },
    claim: {
        pageTitles: {
            claims: 'Reclamaciones',
            list: 'Listado',
            createClaim: 'Crear reclamación',
            rmaList: 'RMA',
            summary: 'Resumen',
            basicData: 'Datos básicos',
            rma: 'RMA'
        },
        list: {
            customer: 'Cliente',
            assignedTo: 'Asignada a',
            created: 'Creada',
            state: 'Estado'
        },
        rmaList: {
            code: 'Código'
        },
        rma: {
            user: 'Usuario',
            created: 'Creado'
        },
        card: {
            claimId: 'ID reclamación',
            assignedTo: 'Asignada a',
            created: 'Creada',
            state: 'Estado',
            ticketId: 'ID ticket',
            customerSummary: 'Resumen del cliente',
            claimedTicket: 'Ticket reclamado'
        },
        summary: {
            customer: 'Cliente',
            assignedTo: 'Asignada a',
            attendedBy: 'Atendida por',
            created: 'Creada',
            state: 'Estado',
            details: 'Detalles',
            item: 'Artículo',
            landed: 'Entregado',
            quantity: 'Cantidad',
            claimed: 'Reclamado',
            description: 'Descripción',
            price: 'Precio',
            discount: 'Descuento',
            total: 'Total',
            actions: 'Acciones',
            responsibility: 'Responsabilidad',
            company: 'Empresa',
            person: 'Comercial/Cliente'
        },
        basicData: {
            customer: 'Cliente',
            assignedTo: 'Asignada a',
            created: 'Creada',
            state: 'Estado',
            packages: 'Bultos',
            picked: 'Recogida',
            returnOfMaterial: 'Autorización de retorno de materiales (RMA)'
        }
    },
    components: {
        topbar: {},
        userPanel: {
            settings: 'Configuración',
            logOut: 'Cerrar sesión',
        },
        smartCard: {
            noData: 'Sin datos que mostrar',
            openCard: 'Ver ficha',
            openSummary: 'Abrir detalles'
        },
        card: {
            mainList: 'Listado principal',
            summary: 'Resumen',
            moreOptions: 'Más opciones',
        }
    },
};
