import customer from './modules/customer';
import ticket from './modules/ticket';
import claim from './modules/claim';

const routes = [
    {
        path: '/login',
        name: 'Login',
        meta: { title: 'logIn' },
        component: () => import('../pages/Login/Login.vue')
    },
    {
        path: '/',
        name: 'Main',
        component: () => import('../layouts/MainLayout.vue'),
        redirect: { name: 'Dashboard' },
        children: [
            {
                path: '/dashboard',
                name: 'Dashboard',
                meta: { title: 'dashboard', icon: 'dashboard' },
                component: () => import('../pages/Dashboard/Dashboard.vue'),
            },
            // Module routes
            customer,
            ticket,
            claim,
        ],
    },
    {
        path: '/:pathMatch(.*)*',
        name: 'NotFound',
        component: () => import('../pages/NotFound.vue'),
    }
];

export default routes;